'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _checkParamNames = require('./rules/checkParamNames');

var _checkParamNames2 = _interopRequireDefault(_checkParamNames);

var _checkRedundantParams = require('./rules/checkRedundantParams');

var _checkRedundantParams2 = _interopRequireDefault(_checkRedundantParams);

var _checkRedundantReturns = require('./rules/checkRedundantReturns');

var _checkRedundantReturns2 = _interopRequireDefault(_checkRedundantReturns);

var _checkReturnsTypes = require('./rules/checkReturnsTypes');

var _checkReturnsTypes2 = _interopRequireDefault(_checkReturnsTypes);

var _checkTypes = require('./rules/checkTypes');

var _checkTypes2 = _interopRequireDefault(_checkTypes);

var _newlineAfterDescription = require('./rules/newlineAfterDescription');

var _newlineAfterDescription2 = _interopRequireDefault(_newlineAfterDescription);

var _requireDescriptionCompleteSentence = require('./rules/requireDescriptionCompleteSentence');

var _requireDescriptionCompleteSentence2 = _interopRequireDefault(_requireDescriptionCompleteSentence);

var _requireParam = require('./rules/requireParam');

var _requireParam2 = _interopRequireDefault(_requireParam);

var _requireParamDescription = require('./rules/requireParamDescription');

var _requireParamDescription2 = _interopRequireDefault(_requireParamDescription);

var _requireParamTypes = require('./rules/requireParamTypes');

var _requireParamTypes2 = _interopRequireDefault(_requireParamTypes);

var _requireReturnsDescription = require('./rules/requireReturnsDescription');

var _requireReturnsDescription2 = _interopRequireDefault(_requireReturnsDescription);

var _requireReturnsTypes = require('./rules/requireReturnsTypes');

var _requireReturnsTypes2 = _interopRequireDefault(_requireReturnsTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    rules: {
        'check-param-names': _checkParamNames2.default,
        'check-redundant-params': _checkRedundantParams2.default,
        'check-redundant-returns': _checkRedundantReturns2.default,
        'check-returns-types': _checkReturnsTypes2.default,
        'check-types': _checkTypes2.default,
        'newline-after-description': _newlineAfterDescription2.default,
        'require-description-complete-sentence': _requireDescriptionCompleteSentence2.default,
        'require-param': _requireParam2.default,
        'require-param-description': _requireParamDescription2.default,
        'require-param-types': _requireParamTypes2.default,
        'require-returns-description': _requireReturnsDescription2.default,
        'require-returns-types': _requireReturnsTypes2.default
    },
    rulesConfig: {
        'check-param-names': 0,
        'check-redundant-params': 0,
        'check-redundant-returns': 0,
        'check-returns-types': 0,
        'check-types': 0,
        'newline-after-description': 0,
        'require-description-complete-sentence': 0,
        'require-param': 0,
        'require-param-description': 0,
        'require-param-types': 0,
        'require-returns-description': 0,
        'require-returns-types': 0
    }
};
module.exports = exports['default'];
//# sourceMappingURL=index.js.map
